import request from '@/utils/request'

// 查询设备安装位置统计
export function getStaticDevice() {
  return request({
    url: 'so2/static/device',
    method: 'get'
  })
}

  // 查询设备类型统计
  export function getDeviceType() {
    return request({
      url: 'so2/static/deviceType',
      method: 'get'
    })
  }  


    // 查询黑烟抓拍分布统计
    export function getBlackSnapPos(query) {
      return request({
        url: 'black/snapPos/static',
        method: 'get',
        params: query
      })
    }  

    // 查询硫抓拍分布统计
    export function getSo2SnapPos(query) {
      return request({
        url: 'so2/snapPos/static',
        method: 'get',
        params: query
      })
    }  

    
    // 查询硫超标统计
    export function getSo2Time(query) {
      return request({
        url: 'so2/timeStatic',
        method: 'get',
        params: query
      })
    }  

        // 查询超标船舶统计
        export function getIllegalShipStatic(query) {
          return request({
            url: 'gas/common/illegalShipStatic',
            method: 'get',
            params: query
          })
        }  